# Uses of Interface
org.eclipse.jface.text.IViewportListener

Packages that use IViewportListener
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of IViewportListener in org.eclipse.jface.text

Fields in org.eclipse.jface.text with type parameters of type IViewportListener
Modifier and Type
Field
Description
`protected List<IViewportListener>`
TextViewer.`fViewportListeners`
All registered view port listeners
Methods in org.eclipse.jface.text with parameters of type IViewportListener
Modifier and Type
Method
Description
`void`
ITextViewer.`addViewportListener(IViewportListener listener)`
Adds the given view port listener to this viewer.
`void`
TextViewer.`addViewportListener(IViewportListener listener)`
`void`
ITextViewer.`removeViewportListener(IViewportListener listener)`
Removes the given listener from this viewer's set of view port listeners.
`void`
TextViewer.`removeViewportListener(IViewportListener listener)`